Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFieldData::BasicIterator Class Reference

`#include <vtkFieldData.h>`

Inheritance diagram for vtkFieldData::BasicIterator:

[legend]
List of all members.

## Public Methods
| BasicIterator ()
| BasicIterator (const BasicIterator &source)
| BasicIterator (const int *list, unsigned int listSize)
BasicIterator & | operator= (const BasicIterator &source)
virtual | ~BasicIterator ()
int | GetListSize () const
int | GetCurrentIndex ()
int | BeginIndex ()
int | End () const
int | NextIndex ()
## Protected Attributes
int * | List
int | ListSize
int | Position

## Constructor & Destructor Documentation

vtkFieldData::BasicIterator::BasicIterator | ( |  | ) |

vtkFieldData::BasicIterator::BasicIterator | ( | const BasicIterator & | source | ) |

vtkFieldData::BasicIterator::BasicIterator | ( | const int * | list,
|  | unsigned int | listSize
| ) |

virtual vtkFieldData::BasicIterator::~BasicIterator | ( |  | ) | `[virtual]`

## Member Function Documentation

BasicIterator& vtkFieldData::BasicIterator::operator= | ( | const BasicIterator & | source | ) |

int vtkFieldData::BasicIterator::GetListSize | ( |  | ) | const`[inline]`

| Definition at line 371 of file vtkFieldData.h.

int vtkFieldData::BasicIterator::GetCurrentIndex | ( |  | ) | `[inline]`

| Definition at line 375 of file vtkFieldData.h.

int vtkFieldData::BasicIterator::BeginIndex | ( |  | ) | `[inline]`

| Definition at line 379 of file vtkFieldData.h.

int vtkFieldData::BasicIterator::End | ( |  | ) | const`[inline]`

| Definition at line 384 of file vtkFieldData.h.

int vtkFieldData::BasicIterator::NextIndex | ( |  | ) | `[inline]`

| Definition at line 388 of file vtkFieldData.h.

## Member Data Documentation

int* vtkFieldData::BasicIterator::List`[protected]`

| Definition at line 396 of file vtkFieldData.h.

int vtkFieldData::BasicIterator::ListSize`[protected]`

| Definition at line 397 of file vtkFieldData.h.

int vtkFieldData::BasicIterator::Position`[protected]`

| Definition at line 398 of file vtkFieldData.h.

The documentation for this class was generated from the following file:

- Common/vtkFieldData.h